Luxor Documentation Hub Logo
Luxor Platform/API Documentation/Commander

Get automation rule details

Returns the full definition of an automation rule including filter, condition, schedule, and action configuration.

GET
/v2/commander/automation/rules/{rule_id}

Authorization

authorization<token>

Use your API key here.

In: header

Path Parameters

rule_idRequiredstring

Rule ID

curl -X GET "https://app.luxor.tech/api/v2/commander/automation/rules/r-a1b2c3d4-e5f6-7890-abcd-ef1234567890" \
  -H "authorization: <token>"

Default Response

{
  "id": "r-a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  "name": "Miner Overheat Alert",
  "rule_type": "trigger",
  "status": "enabled",
  "site_ids": [
    "497f6eca-6276-4993-bfeb-53cbbbba6f08"
  ],
  "frequency": "every_15_min",
  "filter": {
    "apply_to_all": true,
    "combinator": "AND",
    "groups": [
      {
        "combinator": "AND",
        "conditions": [
          {
            "field": "site_id",
            "operator": "eq",
            "value": "string"
          }
        ]
      }
    ]
  },
  "condition": {
    "type": "metric",
    "metric": "site_id",
    "operator": ">",
    "value": "string"
  },
  "schedule": {
    "cron": "0 19 * * *",
    "timezone": "UTC"
  },
  "actions": [
    {
      "action_type": "Reboot",
      "params": {}
    }
  ],
  "stop_condition": {
    "max_executions": 0,
    "period_minutes": 0
  },
  "last_triggered_at": "2026-04-13T18:22:00Z",
  "times_triggered": 4,
  "created_at": "2026-01-10T14:30:00Z",
  "url": "/v2/commander/automation/rules/r-a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}